Bug 173722 - Review Request: stratagus - Real-time strategy gaming engine
Review Request: stratagus - Real-time strategy gaming engine
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Package Reviews List
http://stratagus.sourceforge.net/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-11-19 11:26 EST by Peter Lemenkov
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 23:16:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Diff for stratagus spec (900 bytes, patch)
2005-11-25 18:31 EST, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Peter Lemenkov 2005-11-19 11:26:07 EST
Spec Name or Url: http://paula.comtv.ru/stratagus.spec
SRPM Name or Url: http://paula.comtv.ru/stratagus-2.1-1.src.rpm

Description: Stratagus is a free cross-platform real-time strategy gaming engine. It includes support for playing over the internet/LAN, or playing a computer opponent. The engine is configurable and can be used to create games with a wide-range of features specific to your needs. See the data sets page for a list of current games using the stratagus engine.
Comment 1 Michel Alexandre Salim 2005-11-25 18:31:30 EST
Created attachment 121498 [details]
Diff for stratagus spec
Comment 2 Michel Alexandre Salim 2005-11-25 18:32:28 EST
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- - rpmlint: no errors
- - package name OK
- - source tarball OK
- - spec file name OK

Spec file notes:
- - use $RPM_BUILD_ROOT%{_bindir} instead of $RPM_BUILD_ROOT/usr/bin
- - might want to make building against libmad a rebuild-time switch, see
attached patch
- - any reason compiling against OpenGL is disabled?

Package builds OK (x86_64), tested on Battle of Survival. Are you going to
package some games that use Stratagem as well?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDh58pWt0J3fd+7ZARArxGAJ9M23Lu+JArcPNHTIkx19ATaLagkwCfQswI
qkfp7h9XiOOSNzSbNbFCVro=
=8wRg
-----END PGP SIGNATURE-----
Comment 3 Michel Alexandre Salim 2005-11-25 18:33:53 EST
Another thing: any reason why the patch for 64-bit pointers has an extra - ? Why
not stratagus-lp64 instead of stratagus--lp64.
Comment 4 Peter Lemenkov 2005-11-27 09:42:23 EST
(In reply to comment #2)

> - - use $RPM_BUILD_ROOT%{_bindir} instead of $RPM_BUILD_ROOT/usr/bin

Done.

> - - might want to make building against libmad a rebuild-time switch, see
> attached patch

Done.

> - - any reason compiling against OpenGL is disabled?

My fault, sorry. Enabled now. Added necessary BuildRequires.

> Package builds OK (x86_64), tested on Battle of Survival. Are you going to
> package some games that use Stratagem as well?

Yes, I would. After inclusion of Stratagus in FE :). Note, I still need an
sponsorship, so it takes a while.

Comment 5 Peter Lemenkov 2005-11-27 09:44:01 EST
(In reply to comment #3)
> Another thing: any reason why the patch for 64-bit pointers has an extra - ? Why
> not stratagus-lp64 instead of stratagus--lp64.

No particular reason. 

Comment 6 Michel Alexandre Salim 2005-11-27 13:44:20 EST
- OpenGL: Are you on Rawhide / FC5t1? In Fedora Core 4 there is no
'mesa-libGL-devel' or 'mesa-libGLU-devel', they are included in xorg-x11-devel.

What you can do is BuildRequires: on libGL-devel and libGLU-devel, which both
the modular packages and xorg-x11-devel provides, and your SRPM should then be
compatible with both the old and new packaging style.

Unfortunately I cannot sponsor people yet. You might want to mail the list and
mention it.
Comment 7 Peter Lemenkov 2005-11-27 15:23:37 EST
(In reply to comment #6)

> What you can do is BuildRequires: on libGL-devel and libGLU-devel, which both
> the modular packages and xorg-x11-devel provides, and your SRPM should then be
> compatible with both the old and new packaging style.

Done.

Spec Name or Url: http://paula.comtv.ru/stratagus.spec
SRPM Name or Url: http://paula.comtv.ru/stratagus-2.1-1.src.rpm
Comment 8 Michel Alexandre Salim 2005-12-11 22:41:14 EST
Any status on getting sponsored? You probably want the sponsor to take over the
proper review.

- Michel
Comment 9 Peter Lemenkov 2005-12-15 16:54:48 EST
(In reply to comment #8)
> Any status on getting sponsored? You probably want the sponsor to take over the
> proper review.

Warren Togami kindly granted me a sponsorship. So all I need is a approvement of
Stratagus. :)
Comment 10 Michel Alexandre Salim 2006-01-30 16:39:06 EST
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

* rpmlint passes
* Package naming OK
* Package meets guidelines
* Builds OK, tested on some games

All clear. Sorry about the delay.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD3og0Wt0J3fd+7ZARAhYhAJ9YQSBz4pyYmqMTdTYFPbbt101ZzwCfSliH
3crL28NteE+VX/mwbHNWMLc=
=7WrB
-----END PGP SIGNATURE-----
Comment 11 Peter Lemenkov 2006-03-08 13:20:48 EST
(In reply to comment #10)

> All clear. Sorry about the delay.

Approved?
Comment 12 Michel Alexandre Salim 2006-03-08 22:54:20 EST
Approved, yes. It's now blocking FE-ACCEPT, so once you submit the package you
can close the bug.
Comment 13 Peter Lemenkov 2006-03-30 03:01:55 EST
Successfully built for  FE-Devel.
Comment 14 Peter Lemenkov 2006-03-30 03:52:11 EST
(In reply to comment #13)
> Successfully built for  FE-Devel.

Oops. 

===========================================

configure: creating ./config.status
config.status: creating Rules.make
+ /usr/bin/make -j2
gcc -o stratagus src/action/obj/action_attack.o src/action/obj/action_board.o
src/action/obj/action_build.o src/action/obj/action_die.o
src/action/obj/action_follow.o src/action/obj/action_move.o src/action/o
bj/action_patrol.o src/action/obj/action_repair.o
src/action/obj/action_research.o src/action/obj/action_resource.o
src/action/obj/action_returngoods.o src/action/obj/action_spellcast.o
src/action/obj/action_
stand.o src/action/obj/action_still.o src/action/obj/action_train.o
src/action/obj/action_unload.o src/action/obj/action_upgradeto.o
src/action/obj/actions.o src/action/obj/command.o src/ai/obj/ai.o src/ai/ob
j/ai_building.o src/ai/obj/ai_force.o src/ai/obj/ai_magic.o src/ai/obj/ai_plan.o
src/ai/obj/ai_resource.o src/ai/obj/script_ai.o src/beos/obj/beos.o
src/stratagus/obj/script.o src/stratagus/obj/script_player.
o src/stratagus/obj/stratagus.o src/stratagus/obj/construct.o
src/stratagus/obj/groups.o src/stratagus/obj/iolib.o
src/stratagus/obj/mainloop.o src/stratagus/obj/player.o src/stratagus/obj/pud.o
src/stratagus
/obj/selection.o src/stratagus/obj/spells.o src/stratagus/obj/script_spell.o
src/stratagus/obj/util.o src/editor/obj/script_editor.o
src/editor/obj/editloop.o src/editor/obj/editor.o src/editor/obj/edmap.o sr
c/game/obj/campaign.o src/game/obj/game.o src/game/obj/intro.o
src/game/obj/loadgame.o src/game/obj/savegame.o src/game/obj/trigger.o
src/map/obj/script_map.o src/map/obj/script_tileset.o src/map/obj/map.o sr
c/map/obj/map_draw.o src/map/obj/map_fog.o src/map/obj/map_rock.o
src/map/obj/map_save.o src/map/obj/map_wall.o src/map/obj/map_wood.o
src/map/obj/minimap.o src/map/obj/tileset.o src/missile/obj/script_missil
e.o src/missile/obj/missile.o src/movie/obj/avi.o src/movie/obj/movie.o
src/movie/vp31/obj/BlockMapping.o src/movie/vp31/obj/DCT_decode.o
src/movie/vp31/obj/DDecode.o src/movie/vp31/obj/DFrameR.o src/movie/vp
31/obj/DSystemDependant.o src/movie/vp31/obj/FrameIni.o
src/movie/vp31/obj/Frarray.o src/movie/vp31/obj/Huffman.o
src/movie/vp31/obj/IDctPart.o src/movie/vp31/obj/Quantize.o
src/movie/vp31/obj/Reconstruct.o s
rc/movie/vp31/obj/YUVtofromRGB.o src/movie/vp31/obj/dct_globals.o
src/movie/vp31/obj/pb_globals.o src/movie/vp31/obj/postproc.o
src/movie/vp31/obj/unpack.o src/movie/vp31/obj/vfwPback.o src/movie/vp31/obj/vfw
pbdll_if.o src/network/obj/commands.o src/network/obj/lowlevel.o
src/network/obj/master.o src/network/obj/netconnect.o src/network/obj/network.o
src/pathfinder/obj/astar.o src/pathfinder/obj/script_pathfinder
.o src/pathfinder/obj/pathfinder.o src/pathfinder/obj/splitter.o
src/pathfinder/obj/splitter_debug.o src/pathfinder/obj/splitter_lowlevel.o
src/pathfinder/obj/splitter_zoneset.o src/sound/obj/script_sound.o s
rc/sound/obj/cdaudio.o src/sound/obj/flac.o src/sound/obj/libcda.o
src/sound/obj/mad.o src/sound/obj/mikmod.o src/sound/obj/music.o
src/sound/obj/ogg.o src/sound/obj/sdl_audio.o src/sound/obj/sound.o src/soun
d/obj/sound_id.o src/sound/obj/sound_server.o src/sound/obj/unitsound.o
src/sound/obj/wav.o src/sound/obj/cdda.o src/ui/obj/botpanel.o
src/ui/obj/button_checks.o src/ui/obj/script_ui.o src/ui/obj/icons.o src/
ui/obj/interface.o src/ui/obj/mainscr.o src/ui/obj/menu_proc.o
src/ui/obj/menus.o src/ui/obj/mouse.o src/ui/obj/ui.o src/unit/obj/depend.o
src/unit/obj/script_unit.o src/unit/obj/script_unittype.o src/unit/ob
j/unit.o src/unit/obj/unit_cache.o src/unit/obj/unit_draw.o
src/unit/obj/unit_find.o src/unit/obj/unittype.o src/unit/obj/upgrade.o
src/video/obj/cursor.o src/video/obj/font.o src/video/obj/graphic.o src/vide
o/obj/linedraw.o src/video/obj/png.o src/video/obj/sdl.o src/video/obj/sprite.o
src/video/obj/video.o -lpng -lz -lm -L/usr/lib -lSDL -lpthread -lGL  -lm -lz
-lbz2 -lFLAC -lvorbisfile -lvorbis -logg  -lmikmod
-ldl -llua -llualib -lm  -lz -lm -L/usr/local/lib -I. -O2 -pipe -fsigned-char
-fomit-frame-pointer -fexpensive-optimizations -ffast-math -I./src/include 
-I./src/movie/vp31/include -DUSE_HP_FOR_XP -DMAP_REGIO
NS -O2 -pipe -fsigned-char -fomit-frame-pointer -fexpensive-optimizations
-ffast-math -DUSE_SDL -I/usr/include/SDL -D_REENTRANT -DUSE_OPENGL -DUSE_BZ2LIB
-DUSE_OGG  -DUSE_FLAC -DUSE_MIKMOD  -DUSE_LUA -DUSE_ZL
IB -DUSE_BZ2LIB -I/usr/local/include
gcc: src/action/obj/action_attack.o: No such file or directory
gcc: src/action/obj/action_board.o: No such file or directory
gcc: src/action/obj/action_build.o: No such file or directory
gcc: src/action/obj/action_die.o: No such file or directory
gcc: src/action/obj/action_follow.o: No such file or directory
gcc: src/action/obj/action_move.o: No such file or directory
gcc: src/action/obj/action_patrol.o: No such file or directory
gcc: src/action/obj/action_repair.o: No such file or directory

...

===========================================
Comment 15 Peter Lemenkov 2006-03-30 03:59:35 EST
Logs can be found here:

http://buildsys.fedoraproject.org/logs/fedora-development-extras/6859-stratagus-2.1-3.fc6/

Looks like buildsystem didn't create any object files needed for building. Right
now I have no clue what's wrong.
Comment 16 Ralf Corsepius 2006-03-30 04:52:52 EST
(In reply to comment #15)
> Looks like buildsystem didn't create any object files needed for building. Right
> now I have no clue what's wrong.

The FE review process having failed ;)

This package's Makefile is crap. It's not ready for parallel builds.
Taking out the _smp_mflags from the spec should fix it.

And while you're at it, you also will want to remove the -I/usr/local/include
and -L/usr/local/lib scattered all over Rules.make.in
Comment 17 Peter Lemenkov 2006-03-30 23:45:13 EST
(In reply to comment #16)

> Taking out the _smp_mflags from the spec should fix it.

OK, done.  
Should I open a bug in Bugzilla?

> And while you're at it, you also will want to remove the -I/usr/local/include
> and -L/usr/local/lib scattered all over Rules.make.in

Done.
Comment 18 Wart 2006-05-05 20:41:00 EDT
%description refers to a "data sets page" for a list of games using stratagus. 
No such page is included in the documentation.  Please replace this with a link
to the sourceforge page listing available games: 
http://stratagus.sourceforge.net/games.shtml

Any plans to package some of these games?  :)
Comment 19 Wart 2006-05-07 20:47:19 EDT
Since this is now imported and built, can we close this bug?
Comment 20 Peter Lemenkov 2006-05-07 23:15:11 EDT
(In reply to comment #19)
> Since this is now imported and built, can we close this bug?

Closed.
I'll try to pack some datasets.

Note You need to log in before you can comment on or make changes to this bug.